pro ApplyColorCurve,curvename,image
;this code reads a photoshop curve and returns the color correction
;curves
print,'Applying color curve to image data;

openu,lun,curvename,/get_lun
curvetemp=bytarr(1024)
readu,lun,curvetemp


allcurves=bytarr(3,256)

;allcurves[0,*]=curvetemp[256:511]
;allcurves[1,*]=curvetemp[512:767]
;allcurves[2,*]=curvetemp[768:1023]


allcurves[0,*]=curvetemp[0:255]
allcurves[1,*]=curvetemp[0:255]
allcurves[2,*]=curvetemp[0:255]

dummy=size(image)
if dummy[0] eq 3 then begin
 ; 3 color truecolor imagery
 xsize=dummy[1]
 ysize=dummy[2]
 zsize=dummy[3]
 temparr=bytarr(xsize,ysize,zsize)
endif

if dummy[0] eq 2 then begin
 xsize=dummy[1]
 ysize=dummy[2]
 zsize=0
 temparr=bytarr(xsize,ysize)
endif



;for colorchannel=0,zsize-1 do begin

  colorchannel=0 

  for i=0,255 do begin

    colorindex=byte(i) 
    temp=where(image eq colorindex,count)

    if count gt 0 then temparr[temp]=allcurves[colorchannel,i] 

  endfor
;endfor

image=temparr


end
