pro GetSDSmaxmin,sds_name,file,SDSXSize,SDSYSIZE,maxmin
i=0
fileId = HDF_SD_START(file, /READ)

index = HDF_SD_NAMETOINDEX(fileId, sds_name)
sdsid = HDF_SD_SELECT(fileId, index)
HDF_SD_GETDATA, sdsid, imagedata

offset_sds_name='add_offset'
IF NOT Keyword_Set(offsetNo) THEN BEGIN
   offsetId = HDF_SD_ATTRFIND(sdsid,offset_sds_name)
   IF offsetId NE -1 THEN BEGIN
      HDF_SD_ATTRINFO, sdsid, offsetId, DATA=offset
   ENDIF
ENDIF

scale_sds_name='scale_factor'
IF NOT Keyword_Set(scaleNo) THEN BEGIN
   scaleId = HDF_SD_ATTRFIND(sdsid,scale_sds_name)
   IF scaleId NE -1 THEN BEGIN
      HDF_SD_ATTRINFO, sdsid, scaleId, DATA=scale_factor
   ENDIF
ENDIF

validrange_sds_name= 'valid_range'
fillvalue_sds_name= '_FillValue'


IF NOT Keyword_Set(validrangeNo) THEN BEGIN
   validrangeId = HDF_SD_ATTRFIND(sdsid,validrange_sds_name)
   IF validrangeId NE -1 THEN BEGIN
      HDF_SD_ATTRINFO, sdsid, validrangeId, DATA=validrange
   ENDIF
ENDIF

IF NOT Keyword_Set(fillNo) THEN BEGIN
   fillId = HDF_SD_ATTRFIND(sdsid,fillvalue_sds_name)
   IF fillId NE -1 THEN BEGIN
      HDF_SD_ATTRINFO, sdsid, fillId, DATA=fillValue
   ENDIF
   fillvalue=fillvalue[0]
ENDIF

HDF_SD_ENDACCESS, sdsid
HDF_SD_END, fileId
index = where(imagedata lt 0,count)
if count gt 0 then imagedata[index]=0.

imagedata = scale_factor[i] * (imagedata-offset[i])

index = where(imagedata lt 0.,count)
if count gt 0 then imagedata[index]=0.

allvalidrange=scale_factor[i] * (validrange-offset[i])

maxmin=fltarr(2)
maxmin[0]=max(imagedata)
if min(imagedata) lt -900. then begin
  maxmin[1]=0.
endif else begin
  maxmin[1]=min(imagedata)
endelse

;debug
maxmin[0]=25.
maxmin[1]=4.
end
